Subject: RE: [Sip] Canceling REFER

From: [email-masked]
Date: Tue, 9 Sep 2003 11:03:43 +0300

This is not a half bad idea, if we can guarantee that the CANCEL can have the same call-id, cseq, etc as the INVITE.

But then, you might have created 2 implicit subscriptions. Is that bad?

/Hisham

> -----Original Message-----
> From: ext Sean Olson [mailto:[email-masked]]
> Sent: Friday, September 05, 2003 12:38 AM
> To: Mark Eastman (meastman); 
> [email-masked];
> [email-masked]
> Subject: Re: [Sip] Canceling REFER
> 
> 
> A REFER with a method=CANCEL sounds like an
> interesting option. The call flow should not be
> difficult to come up with
> .
> --- "Mark Eastman (meastman)" <[email-masked]>
> wrote:
> > Hello,
> > 
> > I have a question about how to deal with canceling a
> > REFER.  Let's say I 
> > REFER Bob to Betty, but then decide I want to REFER
> > Bob to someone else 
> > before the transfer is complete.  Are there existing
> > call flows describing 
> > such behavior?  I know the REFER rfc states handling
> > multiple refers is 
> > valid, but is that how one would handle this
> > situation (Sending a new REFER 
> > with either a new target or perhaps method=CANCEL). 
> > If so, call flows 
> > describing such behavior would be nice.
> > 
> > Thanks,
> > Mark
> > 
> > 
> > _______________________________________________
> > Sip mailing list 
> > https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP
> > Protocol
> > Use [email-masked] for questions
> > on current sip
> > Use [email-masked] for new developments on the
> > application of sip
> 
> 
> __________________________________
> Do you Yahoo!?
> Yahoo! SiteBuilder - Free, easy-to-use web site design software
> http://sitebuilder.yahoo.com
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip